<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:x="http://ai-and-it.de/xmlns/2020/xc"
  xmlns:xhtml="http://www.w3.org/1999/xhtml"
  xmlns="http://www.w3.org/1999/xhtml"
  version="1.0">

  <xsl:output method="xml" encoding="utf-8"/>

  <xsl:template match="text()"/>

  <xsl:template match="/">
    <div class="measurement-result-files">
      <div class="measurement-result-file-list">
	<xsl:apply-templates/>
      </div>
      <div id="result-view">
	<div id="result-dispopts-hard">
	  <form name="displayMode" onsubmit="return false;"
		onchange="return meas.updateDisplay(this, event)">
	    <input name="comp3d" type="hidden" value="sep"/>
	    <input name="proj3d" type="hidden" value="z"/>
	    <!-- <label for="comp3d-select"><span class="tlt">Display 3D values</span>: </label>
	    <select id="comp3d-select" name="comp3d">
	      <option value="sep" class="tlt">Separate</option>
	      <option value="aggr" class="tlt">Aggregate</option>
	    </select>
	    <label for="proj3d-select"><span class="tlt">3D component projection</span>: </label>
	    <select id="proj3d-select" name="proj3d">
	      <option value="z">X/Y</option>
	      <option value="y">X/Z</option>
	      <option value="x">Y/Z</option>
	    </select> -->
	    <label for="border-select"><span class="tlt">Y axis ranges by</span>: </label>
	    <select id="border-select" name="borders">
	      <option value="data" class="tlt">Data</option>
	      <option value="limit" class="tlt">Limits</option>
	    </select>
	  </form>
	</div>
	<div id="result-dispsels"></div>
	<div id="result-dispopts"></div>
	<div id="result-nmeas"></div>
	<table class="chart-table">
	  <tr>
	    <td>
	      <div id="container_0" class="table-container"></div>
	      <div id="container_1" class="chart-container"></div>
	      <div id="container_2" class="chart-container"></div>
	      <div id="container_3" class="chart-container"></div>
	      <div id="container_4" class="chart-container"></div>
	      <div id="container_5" class="chart-container"></div>
	      <div id="container_6" class="chart-container"></div>
	      <div id="container_7" class="chart-container"></div>
	      <div id="container_8" class="chart-container"></div>
	      <div id="container_9" class="chart-container"></div>
	      <div id="container_3d" class="chart-container"></div>
	    </td>
	  </tr>
	</table>
      </div>
    </div>
  </xsl:template>

  <xsl:template match="finfo">
    <table class="collection">
      <thead>
	<tr>
	  <td colspan="5"><xsl:value-of select="count(item[not(starts-with(name, '.'))])"/>
	  <xsl:text> </xsl:text>
	  <span class="tlt">Items</span></td>
	</tr>
	<tr>
	  <!-- <td>
	    <input type="checkbox" name="selall"/>
	  </td> -->
	  <td class="tlt sort-descending" onclick="return xc.sortCol(event)">Name</td>
	  <td class="tlt" onclick="return xc.sortCol(event)">Size</td>
	  <td class="tlt" onclick="return xc.sortCol(event)">Date</td>
	  <td/>
	  <td/>
	</tr>
      </thead>
      <tbody>
	<xsl:apply-templates select="item[not(starts-with(name, '.'))]">
	  <xsl:sort select="name" order="descending" data-type="text"/>
	</xsl:apply-templates>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="finfo/item">
    <tr>
<!--      <td>
	<input type="checkbox" name="sel{position()}"/>
      </td> -->
      <td><a href="javascript:meas.loadMeasurement('{path}')"><xsl:value-of select="name[. != '']|path"/></a></td>
      <td class="unit-value">
	<span class="value-with-unit" data-unit="B" data-targetunit="MB">
	  <span class="value"><xsl:value-of select="statdict/st_size"/></span>
	  <span class="unit">&#xa0;B</span>
	</span>
      </td>
      <td><span class="unixtm"><xsl:value-of select="statdict/st_mtime"/></span></td>
      <td><a class="xc-nocatch tlt" href="/main/get/{path}">Download</a></td>
      <td><a class="tlt" href="/main/delete?path={path}&amp;next_=/main/ajax_view%3Fpath=measurements.xml">Delete</a></td>
    </tr>
  </xsl:template>

  <xsl:template match="lsl">
    <div class="file-info">
      <xsl:apply-templates select="finfo"/>
    </div>
  </xsl:template>

</xsl:stylesheet>
