<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:x="http://ai-and-it.de/xmlns/2020/xc"
  xmlns:xhtml="http://www.w3.org/1999/xhtml"
  xmlns="http://www.w3.org/1999/xhtml"
  version="1.0">

  <xsl:output method="xml" encoding="utf-8"/>

  <xsl:template match="text()"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="x:title" mode="title">
    <h2 class="tlt"><xsl:value-of select="."/></h2>
  </xsl:template>
  <xsl:template match="x:title"/>

  <xsl:template match="x:update">
    <div>
      <div class="xc-sl-poll"
	     data-poll-url="/main/get?path=files/xml/mainmenu.xml"
	     data-postprocess="xc.psHTML"
	     data-poll-interval="100000">
      </div>
      <h2><span class="tlt">Update Control</span></h2>

      <div class="xc-sl-view"
	   data-view-url="/main/get/files/xml/update-submenu.xml"
	   data-view-cache="1"
	   data-view-filter="xc.psHTMLC">
      </div>

      <xsl:apply-templates select="x:title" mode="title"/>

      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:update-control">
    <div class="grid-2">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:scan-updates">
    <div class="flexv">
	<form class="inline-block" action="/main/action" method="post">
	  <input type="hidden" name="path" value="bin/show-updates.sh"/>
	  <input class="tltv" type="submit" value="Scan for updates of system packages"/>
	  <input type="hidden" name="next_" value="/main/ajax_view?path=update-scan.xml"/>
	  <input type="hidden" name="csrfmiddlewaretoken" value="{//*/x:cgi/x:csrfmiddlewaretoken}"/>
	  <input type="hidden" name="nowait" value="1"/>
	</form>

	<xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:scan-usense-updates">
    <div class="flexv">
      <form class="inline-block" action="/main/action" method="post">
	<input type="hidden" name="path" value="bin/show-usense-updates.sh"/>
	<input class="tltv" type="submit" value="Scan for updates of uSense packages"/>
	<input type="hidden" name="next_" value="/main/ajax_view?path=update-scan.xml"/>
	<input type="hidden" name="csrfmiddlewaretoken" value="{//*/x:cgi/x:csrfmiddlewaretoken}"/>
	<input type="hidden" name="nowait" value="1"/>
      </form>

      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:update-center">
    <div>
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:usense-upgrade">
    <div class="flexv">
      <form class="inline-block" action="/main/action" method="post">
	<input type="hidden" name="path" value="bin/upgrade-usense.sh"/>
	<input class="tltv" type="submit" value="Update uSense packages"/>
	<input type="hidden" name="next_" value="/main/ajax_view?path=update.xml"/>
	<input type="hidden" name="csrfmiddlewaretoken" value="{//*/x:cgi/x:csrfmiddlewaretoken}"/>
	<input type="hidden" name="nowait" value="1"/>
      </form>
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:upgrade">
    <div class="flexv">
      <form class="inline-block" action="/main/action" method="post">
	<input type="hidden" name="path" value="bin/upgrade.sh"/>
	<input class="tltv" type="submit" value="Update system packages"/>
	<input type="hidden" name="next_" value="/main/ajax_view?path=update.xml"/>
	<input type="hidden" name="csrfmiddlewaretoken" value="{//*/x:cgi/x:csrfmiddlewaretoken}"/>
	<input type="hidden" name="nowait" value="1"/>
      </form>
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:full-upgrade">
    <div class="flexv">
      <form class="inline-block" action="/main/action" method="post">
	<input type="hidden" name="path" value="bin/upgrade-full.sh"/>
	<input class="tltv" type="submit" value="Full-update uSense packages"/>
	<input type="hidden" name="next_" value="/main/ajax_view?path=update.xml"/>
	<input type="hidden" name="csrfmiddlewaretoken" value="{//*/x:cgi/x:csrfmiddlewaretoken}"/>
	<input type="hidden" name="nowait" value="1"/>
      </form>
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="x:log">
    <div class="log">
      <div>
	<span class="tlt">Log file</span>
	<span><xsl:text> </xsl:text></span>
	<span><xsl:value-of select="."/></span>
	<xsl:text> </xsl:text>
	<a class="xc-nocatch" href="/main/getf/{.}">Download</a>
      </div>
      <div class="log-text">
	<code class="xc-sl-poll pre" data-poll-url="/main/get?path={.}"
	      data-postprocess="psText"
	      data-poll-interval="500">
	</code>
      </div>
    </div>
  </xsl:template>

  <xsl:template match="x:table">
    <div class="csvtab">
      <div>
	<span class="tlt">Table</span>
	<span><xsl:text> </xsl:text></span>
	<span><xsl:value-of select="."/></span>
	<xsl:text> </xsl:text>
	<a class="xc-nocatch" href="/main/getf/{.}">Download</a>
      </div>
      <div class="xc-sl-poll csvtab-content" data-poll-url="/main/get?path={.}"
	   data-postprocess="meas.showCSV"
	   data-poll-interval="500">
      </div>
    </div>
  </xsl:template>

</xsl:stylesheet>
